Bug 71215 - Errata affected system selection does not allow you to select individual selections
Summary: Errata affected system selection does not allow you to select individual sele...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
(Show other bugs)
Version: RHN Stable
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Robin Norwood
QA Contact: Fanny Augustin
URL:
Whiteboard:
Keywords:
Depends On: 63880
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-10 02:17 UTC by Scott Marshall
Modified: 2007-04-18 16:45 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-06 16:13:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Scott Marshall 2002-08-10 02:17:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.79 [en] (X11; U; Linux 2.4.18-5.64 i686)

Description of problem:
When an erratum or other update applies to multiple systems ("affected systems"
tab), you are provided buttons to "select all results", "updated selected
systems" etc, but there are no "check box" widgets next to the listed systems. 
This means that you can't select specific systems.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Select an erratum that affects multiple systems in your profile.
2. Click on the "affected systems" tab

	

Actual Results:  No "check box" widgets are displayed next to each system line
entry.
The "select all results" button won't work (no check boxes to update).
The "updated selected systems" button results in a null list.
The "update all affected systems" button DOES work.

Expected Results:  "Check box" widgets should appear on each system line entry.
You should be able to select/deselect individual systems by click a check box.
You should be able to click the "select all results" button to select all
systems.
The "update selected systems" button should build list of chosen systems for
final confirmation dialogue.

Additional info:

Comment 1 Josef Komenda 2002-08-12 15:38:33 UTC
Check boxes only appear for systems with enterprise level entitlements.

Comment 2 Scott Marshall 2002-08-12 18:05:07 UTC
If check boxes are only available with enterprise level entitlements, then 
remove the buttons that pertain to selected systems if no check boxes are 
displayed.
An inconsistent interface is still a bug.

Comment 3 Josef Komenda 2002-08-14 19:49:47 UTC
Good point. 'select all', and 'update selected systems' should be hidden for
users with zero Enterprise subscriptions on /network/errata/systems_affected.pxt

Comment 4 Scott Marshall 2002-08-31 01:24:43 UTC
So, when can we see some action on this bug?


Comment 5 Josef Komenda 2002-09-06 16:18:44 UTC
Fixed, closing.


Note You need to log in before you can comment on or make changes to this bug.